select pg_drop_replication_slot('standby_1');
select pg_drop_replication_slot('standby_2');
select pg_drop_replication_slot('standby_3');

DO $$ 
DECLARE
    j INT := 1;
    slot VARCHAR(50);
BEGIN
    FOR j IN 1..500 LOOP
        slot := 'slot_' || j;
        EXECUTE 'select pg_create_logical_replication_slot('''|| slot ||''',''test_decoding'', false, true, true);';
    END LOOP;
END $$;

SELECT pg_create_physical_replication_slot('standby_1');
SELECT pg_create_physical_replication_slot('standby_2');
SELECT pg_create_physical_replication_slot('standby_3');

